import VPlay 1.0
import QtQuick 1.1

GameWindow {

  EntityManager {
    id: entityManager
    entityContainer: scene
  }

  Scene {
    id: scene

    Rectangle {
      width: 32
      height: 32
      color: "red"
    }

    EntityBase {
      id: brick
      entityType: "brick"
      width: 32
      height: 32
      SingleSpriteFromFile {
        id: sprite
        source: "squ1-walk-1.png"
        filename: "img/squaby-sd.json"
        anchors.centerIn: brick
      }
    }
  }
}